package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DEDataChgDispMapper;
import com.sa.ibiz.demo.demo.domain.DEDataChgDisp;
import com.sa.ibiz.demo.demo.service.DEDataChgDispService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgDispSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[DEDataChgDisp] 服务对象接口实现
 */
@Service
public class DEDataChgDispServiceImpl extends ServiceImplBase<DEDataChgDispMapper, DEDataChgDisp> implements DEDataChgDispService{


    @Resource
    private DEDataChgDispMapper dedatachgdispMapper;


    @Override
    public boolean create(DEDataChgDisp et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DEDataChgDisp et){
        this.beforeUpdate(et);
		this.dedatachgdispMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DEDataChgDisp et){
		return et.getDedatachgdispid();  
    }

    @Override
    public boolean getDraft(DEDataChgDisp et)  {
            return true;
    }

	public List<DEDataChgDisp> listDefault(DEDataChgDispSearchFilter filter) {
		return dedatachgdispMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DEDataChgDisp> searchDefault(DEDataChgDispSearchFilter filter) {
		return dedatachgdispMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dedatachgdispMapper.selectRow(sql);
    }

 }